Subject: Re: linux-next: build failure after merge of the final tree (nfsd tree related)

From: "J. Bruce Fields" <[email-masked]>
Date: Wed, 3 Apr 2013 14:05:19 -0400

On Wed, Apr 03, 2013 at 07:38:57AM -0400, Jeff Layton wrote:
> On Wed, 3 Apr 2013 07:33:01 -0400
> "J. Bruce Fields" <[email-masked]> wrote:
> 
> > On Wed, Apr 03, 2013 at 07:10:54AM -0400, Jeff Layton wrote:
> > > On Wed, 3 Apr 2013 17:42:19 +1100
> > > Stephen Rothwell <[email-masked]> wrote:
> > > 
> > > > Hi all,
> > > > 
> > > > After merging the final tree, today's linux-next build (arm defconfig)
> > > > failed like this:
> > > > 
> > > > fs/built-in.o: In function `nfsd_reply_cache_stats_show':
> > > > super.c:(.text+0x87308): undefined reference to `__udivdi3'
> > > > 
> > > > Probably caused by commit 187da2f90879 ("nfsd: keep track of the max and
> > > > average time to search the cache") which adds a divide by u64
> > > > (num_searches).
> > > > 
> > > > I have reverted that commit and the following one for today.
> > > 
> > > Thanks, known problem...
> > > 
> > > Looks like Bruce's tree has an older version of that patch series. I
> > > think we just need to get him to drop that one and merge the new one.
> > 
> > Arrgh, sorry--could you remind me which is the new one?
> > 
> 
> It was the one I sent on 3/19. Those patches (plus a couple more) are
> also in the current nfsd-3.10 branch of my git tree too, so it may be
> easiest to just pick them from there.

I hate rewriting that branch, but OK, done: does my for-3.10 look right
to you now?

(It's still missing some of your latest patches.)

--b.